
package  {
	
	import com.nhe.video.VideoLoader
	
	import flash.display.Sprite;
	import flash.events.*;
	
	public class Main_VideoLoader extends Sprite {

		private var _videoLoader:VideoLoader;		
		
		public function Main_VideoLoader() {
			
			_videoLoader = new VideoLoader();
			addChild(_videoLoader);
			_videoLoader.addEventListener(VideoLoader.PLAY_PROGRESS, video_PLAY_PROGRESS);
			_videoLoader.addEventListener(VideoLoader.FILE_NOT_FOUND, videoFailed);
			_videoLoader.addEventListener(VideoLoader.CONNECTION_FAILED, videoFailed);
			_videoLoader.addEventListener(VideoLoader.STOPPED, videoStopped);
			_videoLoader.addEventListener(VideoLoader.PLAYING, videoPlaying);
			_videoLoader.addEventListener(ErrorEvent.ERROR, video_ERROR);
			_videoLoader.bufferTime = 1;
			// stream _videoLoader.load("mp4:_cs4promo_1000.f4v","rtmp://fmsexamples.adobe.com/vod");
			
			_videoLoader.load("video.flv");
			
		}
		
		public function videoFailed(e:Event=null)
		{
			trace("videoFailed")
		}
		
		public function video_ERROR(e:ErrorEvent=null)
		{
			trace("video_ERROR")	
		}
		public function videoPlaying(e:Event=null)
		{
			trace("videoPlaying")
		}
		
		public function videoStopped(e:Event=null)
		{
			trace("videoStopped")	
		}
		
		public function video_PLAY_PROGRESS(e:Event=null)
		{
			
			trace("video_PLAY_PROGRESS")	
			
			
		}
		
	}
	
}
